## pidgin 2.6.3-0nix1~fremantle

=== debian/changelog ===
pidgin (2.6.3-0nix1~fremantle) unstable; urgency=low

  * Splitting source package by distro

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 18:31:33 +0200

pidgin (2.6.3-0nix0) unstable; urgency=low

  * Moving up to 2.6.3
  * Enabling vv

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 15:24:44 +0200
