=== debian/control ===
Source: pidgin
Section: user/network
Priority: optional
Maintainer: Gabriel Schulhof <nix@go-nix.ca>
Build-Depends: debhelper (>= 4.0.0),
 debhelper-maemo-package-icons (>= 0.0.2),
 doxygen,
 hildon-libs-dev | libhildon1-dev,
 intltool,
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libgtk2.0-dev (>= 2.6.0),
 libgstreamer0.10-dev,
 libnss3-dev,
 libavahi-core-dev,
 libavahi-glib-dev,
 libavahi-client-dev,
 libxml2-dev,
 libxml-parser-perl,
 libgstfarsight0.10-dev (>= 0.0.9),
 libgstreamer-plugins-base0.10-dev,
 libsqlite3-dev (>= 3.3),
 libmeanwhile-dev,
 python2.5,
 maemo-launcher-dev,
 libgstfarsight0.10-dev (>= 0.0.9),
 xsltproc
Standards-Version: 3.6.0

Package: pidgin
Section: user/network
Architecture: any
Depends: ${shlibs:Depends}, maemo-launcher
Description: Pidgin Internet Messenger for Maemo-based Internet Tablets
XB-Maemo-Display-Name: Pidgin Internet Messenger

Package: pidgin-dev
Section: devel
Architecture: any
Depends: pidgin (>= ${Source-Version}),
 pkg-config,
 libpurple-dev,
 libgtk2.0-dev,
 hildon-libs-dev | libhildon1-dev
Suggests: doc-base
Description: Pidgin Plugin Development Files

Package: pidgin-dbg
Section: devel
Architecture: any
Depends: pidgin (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Pidgin

Package: libpurple0
Section: net
Architecture: any
Depends: ${shlibs:Depends}, libnspr4, libnss3
Recommends: ca-certificates
Replaces: pidgin (<= 2.2.2-0nix0),
 pidgin-protocol-aim-icq,
 pidgin-protocol-gadugadu,
 pidgin-protocol-irc,
 pidgin-protocol-msn,
 pidgin-protocol-novell-groupwise,
 pidgin-protocol-qq,
 pidgin-protocol-simple,
 pidgin-protocol-xmpp,
 pidgin-protocol-yahoo,
 pidgin-protocol-zephyr
Suggests: ${shlibs:Suggests}
Description: multi-protocol instant messaging library
 libpurple is a library intended to be used by programmers seeking
 to write an IM client that connects to many IM networks.
 Currently supported are:
 AIM/ICQ, Yahoo!, MSN, IRC, Jabber/XMPP, Napster, Zephyr, Gadu-Gadu, Bonjour,
 Groupwise, Sametime, SILC, SIMPLE, QQ, and MySpaceIM.

Package: libpurple-dev
Section: libdevel
Architecture: any
Depends: libpurple0 (>= ${Source-Version}),
 pkg-config,
 libglib2.0-dev,
 libdbus-glib-1-dev
Replaces: pidgin-dev (<= 2.2.2-0nix0)
Conflicts: pidgin-dev (<= 2.2.2-0nix0)
Description: multi-protocol instant messaging library - development files
 This package contains the headers and other development files not included in
 the main libpurple0 package. Install this if you wish to compile your own
 client-agnostic plugins, or would like to compile programs that use
 libpurple.

Package: libpurple0-dbg
Section: libdevel
Architecture: any
Depends: libpurple0 (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for libpurple
 This package includes the debugging symbols useful for debugging libpurple
 and its plugins, contained in the libpurple0 package. The debugging symbols are
 used for execution tracing and core dump analysis.

Package: purple-protocol-sametime
Replaces: pidgin-protocol-sametime
Section: user/network
Architecture: any
Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}
XB-Maemo-Display-Name: Pidgin Sametime Support
Description: Pidgin and Telepathy Sametime Support

Package: purple-protocol-sametime-dbg
Section: devel
Architecture: any
Depends: purple-protocol-sametime (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Sametime prpl

Package: purple-protocol-bonjour
Replaces: pidgin-protocol-bonjour
Section: user/network
Architecture: any
Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
XB-Maemo-Display-Name: Pidgin Bonjour Support
Description: Pidgin and Telepathy Bonjour Support

Package: purple-protocol-bonjour-dbg
Section: devel
Architecture: any
Depends: purple-protocol-bonjour (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Bonjour prpl

Package: pidgin-sounds
Section: user/network
Architecture: all
Description: Pidgin Sounds
XB-Maemo-Display-Name: Pidgin Sounds

Package: pidgin-l10n
Section: user/network
Architecture: all
Description: Pidgin Localization
XB-Maemo-Display-Name: Pidgin Language Support

Package: pidgin-emotes-default
Section: user/network
Architecture: all
Description: Pidgin Default Emotes
XB-Maemo-Display-Name: Pidgin Default Smiley Theme
