## pidgin 2.6.3-0nix2~chinook

=== debian/changelog ===
pidgin (2.6.3-0nix2~chinook) unstable; urgency=low

  * Trying to make it compile on Chinook and Diablo

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 19:23:51 +0200

pidgin (2.6.3-0nix1~chinook) unstable; urgency=low

  * Splitting source package by distro

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 18:31:33 +0200
