=== debian/control ===
--- 
+++ 
@@ -17,14 +17,11 @@
  libavahi-client-dev,
  libxml2-dev,
  libxml-parser-perl,
- libgstfarsight0.10-dev (>= 0.0.9),
  libgstreamer-plugins-base0.10-dev,
  libsqlite3-dev (>= 3.3),
  libmeanwhile-dev,
  python2.5,
- maemo-launcher-dev,
- libgstfarsight0.10-dev (>= 0.0.9),
- xsltproc
+ maemo-launcher-dev,  xsltproc
 Standards-Version: 3.6.0
 
 Package: pidgin
