=== debian/rules ===
--- 
+++ 
@@ -49,9 +49,7 @@
 		--disable-nm \
 		--disable-perl \
 		--enable-dbus \
-		--enable-nss=yes \
-		--enable-vv \
-		--enable-farsight \
+		--enable-nss \
 		--disable-tcl \
 		--disable-tk \
 		--disable-consoleui \
@@ -63,6 +61,7 @@
 		--disable-idn \
 		--enable-hildon \
 		--enable-icd \
+		--disable-vv --disable-farsight \
 		$(NULL)
 
 ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
