## pidgin 2.6.3-0nix2~fremantle

=== debian/changelog ===
pidgin (2.6.3-0nix2~fremantle) unstable; urgency=low

  * Trying to make it compile on Chinook and Diablo

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 19:23:51 +0200
