=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  libsqlite3-dev (>= 3.3),
  libmeanwhile-dev,
  python2.5,
- maemo-launcher-dev,  xsltproc
+ maemo-launcher-dev, libgstfarsight0.10-dev (>= 0.0.9), xsltproc
 Standards-Version: 3.6.0
 
 Package: pidgin
