=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
 		--disable-idn \
 		--enable-hildon \
 		--enable-icd \
-		--disable-vv --disable-farsight \
+		--enable-vv --enable-farsight \
 		$(NULL)
 
 ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
