## pidgin 2.6.3-1nix0

=== debian/changelog ===
pidgin (2.6.3-1nix0) unstable; urgency=low

  * Removing source-splitting stuff and using maemo-release for conditional dependency instead
  * Using --disable-missing-dependencies to avoid having to have many --disable-this and --disable-that configure switches in debian/rules
  * Make certificate manager box work
  * Add tap-and-hold context menu to chat window user list
  * Use HildonTextView for conversations

 -- Gabriel Schulhof <nix@go-nix.ca>  Thu, 29 Oct 2009 15:48:27 +0200

pidgin (2.6.3-0nix2) unstable; urgency=low

  * Trying to make it compile on Chinook and Diablo

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 19:23:51 +0200

pidgin (2.6.3-0nix1) unstable; urgency=low

  * Splitting source package by distro

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 18:31:33 +0200
