## pidgin 2.6.3-2nix0

=== debian/changelog ===
pidgin (2.6.3-2nix0) unstable; urgency=low

  * Add "allow-checkbox-mode" to the log viewer's treeview.

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun,  1 Nov 2009 16:16:07 +0200
