=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 major=$(shell echo ${version} | cut -d. -f1-2)
 micro=$(shell echo ${version} | cut -d. -f3 | cut -d+ -f1)
 nextmicro=$(shell expr ${micro} + 1)
+launcher_check=$(shell dpkg --compare-versions "$$(apt-cache policy maemo-release | grep Installed | awk '{print $$2;}')" "lt" "5.0.0" && echo "maemo-launcher" || echo "nolauncher")
 
 
 CFLAGS = -Wall -g
@@ -37,6 +38,7 @@
 endif
 
 CONFIGURE_SWITCHES = \
+		--disable-missing-dependencies \
 		--prefix=$(PREFIX) \
 		--with-python=/usr/bin/python2.5 \
 		--host=$(DEB_HOST_GNU_TYPE) \
@@ -44,29 +46,22 @@
 		--sysconfdir=/etc \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		--disable-gevolution \
-		--enable-cap \
-		--disable-nm \
-		--disable-perl \
-		--enable-dbus \
-		--enable-nss \
-		--disable-tcl \
-		--disable-tk \
 		--disable-consoleui \
 		--disable-doxygen \
-		--disable-gnutls \
-		--disable-screensaver \
-		--disable-startup-notification \
-		--disable-gtkspell \
-		--disable-idn \
-		--enable-hildon \
-		--enable-icd \
-		--enable-vv --enable-farsight \
+		--disable-perl \
 		$(NULL)
 
-ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
-	CONFIGURE_SWITCHES += --enable-maemo-launcher
-	USE_MAEMO_LAUNCHER = true
+ifeq ($(launcher_check),maemo-launcher)
+	ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
+		CONFIGURE_SWITCHES += --enable-maemo-launcher
+		USE_MAEMO_LAUNCHER = true
+	endif
+endif
+ifeq ($(launcher_check),nolauncher)
+	ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
+		CONFIGURE_SWITCHES += --enable-maemo-launcher
+		USE_MAEMO_LAUNCHER = true
+	endif
 endif
 
 configure:
@@ -255,5 +250,3 @@
 		../pidgin_*.* \
 		`find | grep 'Makefile\.in$$'` \
 		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
-		install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh Makefile.in missing mkinstalldirs
-
