## pidgin 2.6.3-3nix0

=== debian/changelog ===
pidgin (2.6.3-3nix0) unstable; urgency=low

  * g_dgettext is not present in Chinook and Diablo. Use dgettext instead.
  * Try maemo-optify, if present

 -- Gabriel Schulhof <nix@go-nix.ca>  Tue, 10 Nov 2009 13:46:15 +0200
