=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
  libmeanwhile-dev,
  python2.5,
  maemo-launcher-dev,
- libgstfarsight0.10-dev (>= 0.0.9) | maemo-release (< 5.0.0),
+ libgstfarsight0.10-dev (>= 0.0.9) | maemo-version (< 5.0),
+ maemo-optify | maemo-version (< 5.0),
  xsltproc
 Standards-Version: 3.6.0
