=== debian/rules ===
--- 
+++ 
@@ -236,6 +236,9 @@
 	dh_shlibdeps
 	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_md5sums
+	if test -x /usr/bin/maemo-optify; then \
+		/usr/bin/maemo-optify; \
+	fi
 	dh_builddeb
 	dh_maemo_package_icons -r
 
@@ -249,4 +252,3 @@
 		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
 		../pidgin_*.* \
 		`find | grep 'Makefile\.in$$'` \
-		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
