## pidgin 2.6.3-4nix0

=== debian/changelog ===
pidgin (2.6.3-4nix0) unstable; urgency=low

  * Fix maemo-optify so that pidgin-emotes-default works properly
  * Reduce number of packages
  * Remove some more Close and Cancel buttons
  * Make smiley theme selection work

 -- Gabriel Schulhof <nix@go-nix.ca>  Fri, 13 Nov 2009 14:11:26 +0200
