=== debian/control ===
--- 
+++ 
@@ -99,48 +99,30 @@
  and its plugins, contained in the libpurple0 package. The debugging symbols are
  used for execution tracing and core dump analysis.
 
-Package: purple-protocol-sametime
-Replaces: pidgin-protocol-sametime
-Section: user/network
-Architecture: any
-Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}
-XB-Maemo-Display-Name: Pidgin Sametime Support
-Description: Pidgin and Telepathy Sametime Support
-
-Package: purple-protocol-sametime-dbg
-Section: devel
-Architecture: any
-Depends: purple-protocol-sametime (= ${Source-Version}), ${shlibs:Depends}
-Description: Debugging symbols for Sametime prpl
-
-Package: purple-protocol-bonjour
-Replaces: pidgin-protocol-bonjour
+Package: purple-extra-protocols
+Replaces: pidgin-protocol-sametime,
+ purple-protocol-sametime (<= 2.6.3-3nix0),
+ pidgin-protocol-bonjour,
+ purple-protocol-bonjour (<= 2.6.3-3nix0)
+Conflicts: pidgin-protocol-sametime,
+ purple-protocol-sametime (<= 2.6.3-3nix0),
+ pidgin-protocol-bonjour,
+ purple-protocol-bonjour (<= 2.6.3-3nix0)
 Section: user/network
 Architecture: any
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
-XB-Maemo-Display-Name: Pidgin Bonjour Support
-Description: Pidgin and Telepathy Bonjour Support
+XB-Maemo-Display-Name: More Protocols for Pidgin and Telepathy
+Description: More Protocols for Pidgin and Telepathy
+ Adds Bonjour and Sametime support to Pidgin ad Telepathy (via Haze)
 
-Package: purple-protocol-bonjour-dbg
+Package: purple-extra-protocols-dbg
 Section: devel
 Architecture: any
-Depends: purple-protocol-bonjour (= ${Source-Version}), ${shlibs:Depends}
-Description: Debugging symbols for Bonjour prpl
-
-Package: pidgin-sounds
-Section: user/network
-Architecture: all
-Description: Pidgin Sounds
-XB-Maemo-Display-Name: Pidgin Sounds
+Depends: purple-extra-protocols (= ${Source-Version}), ${shlibs:Depends}
+Description: Debugging symbols for Sametime and Bonjour prpl
 
 Package: pidgin-l10n
 Section: user/network
 Architecture: all
 Description: Pidgin Localization
 XB-Maemo-Display-Name: Pidgin Language Support
-
-Package: pidgin-emotes-default
-Section: user/network
-Architecture: all
-Description: Pidgin Default Emotes
-XB-Maemo-Display-Name: Pidgin Default Smiley Theme
