=== debian/rules ===
--- 
+++ 
@@ -236,19 +236,17 @@
 	dh_shlibdeps
 	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_md5sums
+
+	# maemo-optify all packages the standard way, except pidgin-emotes-default
 	if test -x /usr/bin/maemo-optify; then \
-		/usr/bin/maemo-optify; \
-	fi
+		for pkg in `cat $(CURDIR)/debian/control | grep '^Package:' | awk '{print $$2;}' | grep -vE 'pidgin-emotes-default'`; do \
+			maemo-optify $$pkg; \
+		done; \
+	fi
+
 	dh_builddeb
 	dh_maemo_package_icons -r
 
 binary: binary-indep binary-arch
 	echo -e '\033[7mtarget: binary\033[0m'
 
-squeaky: clean clean-debian
-	-$(MAKE) distclean
-	rm -rf \
-		debian/tmp \
-		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
-		../pidgin_*.* \
-		`find | grep 'Makefile\.in$$'` \
