## pidgin 2.6.3-5nix0

=== debian/changelog ===
pidgin (2.6.3-5nix0) unstable; urgency=low

  * Clean up reduced-number-of-packages upgrade mess
  * Fix debug window

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 23 Nov 2009 19:32:43 +0200
