=== debian/control ===
--- 
+++ 
@@ -33,6 +33,8 @@
 Depends: ${shlibs:Depends}, maemo-launcher
 Description: Pidgin Internet Messenger for Maemo-based Internet Tablets
 XB-Maemo-Display-Name: Pidgin Internet Messenger
+Replaces: pidgin-emotes-default (<= 2.6.3-3nix0), pidgin-sounds (<= 2.6.3-3nix0)
+Provides: pidgin-emotes-default, pidgin-sounds
 
 Package: pidgin-dev
 Section: devel
@@ -104,15 +106,15 @@
  purple-protocol-sametime (<= 2.6.3-3nix0),
  pidgin-protocol-bonjour,
  purple-protocol-bonjour (<= 2.6.3-3nix0)
-Conflicts: pidgin-protocol-sametime,
- purple-protocol-sametime (<= 2.6.3-3nix0),
+Provides: pidgin-protocol-sametime,
+ purple-protocol-sametime,
  pidgin-protocol-bonjour,
- purple-protocol-bonjour (<= 2.6.3-3nix0)
+ purple-protocol-bonjour
 Section: user/network
 Architecture: any
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
-XB-Maemo-Display-Name: More Protocols for Pidgin and Telepathy
-Description: More Protocols for Pidgin and Telepathy
+XB-Maemo-Display-Name: Pidgin Extra Protocols (Bonjour and Sametime)
+Description: Pidgin and Telepathy Extra Protocols (Bonjour and Sametime)
  Adds Bonjour and Sametime support to Pidgin ad Telepathy (via Haze)
 
 Package: purple-extra-protocols-dbg
