=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 major=$(shell echo ${version} | cut -d. -f1-2)
 micro=$(shell echo ${version} | cut -d. -f3 | cut -d+ -f1)
 nextmicro=$(shell expr ${micro} + 1)
-launcher_check=$(shell dpkg --compare-versions "$$(apt-cache policy maemo-release | grep Installed | awk '{print $$2;}')" "lt" "5.0.0" && echo "maemo-launcher" || echo "nolauncher")
+launcher_check=$(shell dpkg --compare-versions "$$(apt-cache policy maemo-version | grep Installed | awk '{print $$2;}')" "lt" "5.0" && echo "maemo-launcher" || echo "nolauncher")
 
 
 CFLAGS = -Wall -g
@@ -35,6 +35,12 @@
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
+endif
+
+# Find out how many parallel threads to run 
+NUMJOBS=$(shell echo "$(DEB_BUILD_OPTIONS)" | awk -F ',' '{ for (Nix=1 ; Nix <= NF ; Nix++) { n_fields = split ($$Nix, fields, "="); if (fields[1] == "parallel" && n_fields == 2) print(fields[2]);}}')
+ifneq (,$(NUMJOBS))
+	PARALLEL_MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 CONFIGURE_SWITCHES = \
@@ -66,6 +72,7 @@
 
 configure:
 	echo -e '\033[7mtarget: configure\033[0m'
+
 	dh_testdir
 
 	CFLAGS="$(CFLAGS)" SBOX_DEFAULT_AUTOMAKE="1.9" ./autogen.sh $(CONFIGURE_SWITCHES)
@@ -79,7 +86,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) $(PARALLEL_MAKEFLAGS)
 
 	pod2man $(CURDIR)/debian/dh_pidgin > $(CURDIR)/debian/dh_pidgin.1 || \
 		rm -f $(CURDIR)/debian/dh_pidgin.1
@@ -93,7 +100,7 @@
 	rm -f *-stamp 
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	-$(MAKE) $(PARALLEL_MAKEFLAGS) clean
 	dh_clean
 	rm -f $(CURDIR)/debian/dh_pidgin.1
 
@@ -237,16 +244,3 @@
 	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_md5sums
 
-	# maemo-optify all packages the standard way, except pidgin-emotes-default
-	if test -x /usr/bin/maemo-optify; then \
-		for pkg in `cat $(CURDIR)/debian/control | grep '^Package:' | awk '{print $$2;}' | grep -vE 'pidgin-emotes-default'`; do \
-			maemo-optify $$pkg; \
-		done; \
-	fi
-
-	dh_builddeb
-	dh_maemo_package_icons -r
-
-binary: binary-indep binary-arch
-	echo -e '\033[7mtarget: binary\033[0m'
-
