## pidgin 2.6.3-6nix0

=== debian/changelog ===
pidgin (2.6.3-6nix0) unstable; urgency=low

  * Make create-new-account checkbox visible in account creation details
  * Properly make monotone revision display in About box

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 29 Nov 2009 14:43:57 +0200
