=== debian/control ===
--- 
+++ 
@@ -115,7 +115,7 @@
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
 XB-Maemo-Display-Name: Pidgin Extra Protocols (Bonjour and Sametime)
 Description: Pidgin and Telepathy Extra Protocols (Bonjour and Sametime)
- Adds Bonjour and Sametime support to Pidgin ad Telepathy (via Haze)
+ Adds Bonjour and Sametime support to Pidgin and Telepathy (via Haze)
 
 Package: purple-extra-protocols-dbg
 Section: devel
