## pidgin 2.6.4-0nix0

=== debian/changelog ===
pidgin (2.6.4-0nix0) unstable; urgency=low

  * Bringing in new upstream release
  * Making it work on Gregale (again)

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 14 Dec 2009 21:16:06 +0200
