=== debian/control ===
--- 
+++ 
@@ -12,18 +12,18 @@
  libgtk2.0-dev (>= 2.6.0),
  libgstreamer0.10-dev,
  libnss3-dev,
- libavahi-core-dev,
- libavahi-glib-dev,
- libavahi-client-dev,
+ libavahi-core-dev   | maemo-version (<= 2.2),
+ libavahi-glib-dev   | maemo-version (<= 2.2),
+ libavahi-client-dev | maemo-version (<= 2.2),
+ maemo-launcher-dev  | maemo-version (<= 2.2),
  libxml2-dev,
  libxml-parser-perl,
  libgstreamer-plugins-base0.10-dev,
  libsqlite3-dev (>= 3.3),
  libmeanwhile-dev,
  python2.5,
- maemo-launcher-dev,
  libgstfarsight0.10-dev (>= 0.0.9) | maemo-version (< 5.0),
- maemo-optify | maemo-version (< 5.0),
+ maemo-optify                      | maemo-version (< 5.0),
  xsltproc
 Standards-Version: 3.6.0
