## pidgin 2.6.6

=== debian/changelog ===
pidgin (1:2.6.6-1ubuntu4common1) lucid; urgency=low

  * debian/patches/15_qq2008.patch:
    - Use qq protocol version 2008 by default, not 2005.  That one no longer
      works with the qq servers.  LP: #602149

 -- Michael Terry <michael.terry@canonical.com>  Tue, 06 Jul 2010 09:26:18 -0400

pidgin (1:2.6.6-1ubuntu4) lucid; urgency=low

  * debian/patches/92_gtkstatusicon_blink.patch: add blink support to
    GtkStatusIcon backport.
  * debian/patches/62_tray_icon_size_kde.patch: removed as no longer
    needed with GtkStatusIcon support.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Mar 2010 12:48:28 -0500

pidgin (1:2.6.6-1ubuntu3) lucid; urgency=low

  * debian/patches/91_gtkstatusicon_backport.patch: backport GtkStatusIcon
    support to get proper icon transparency with new default theme.
    (LP: #532789)
  * debian/pidgin-data.links: symlink pixmaps to location GtkStatusIcon
    expects them to be.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 Mar 2010 23:11:32 -0500

pidgin (1:2.6.6-1ubuntu2) lucid; urgency=low

  * debian/patches/90_icq_login_fix.patch:
    - upstream change to fix aim and icq login issues when clientlogin is used 
      which is the case in empathy by default (lp: #524221, #526146)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Feb 2010 00:39:26 +0100

pidgin (1:2.6.6-1ubuntu1) lucid; urgency=low

  * Resync on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Feb 2010 23:51:45 +0100

pidgin (2.6.6-1) unstable; urgency=high

  * New upstream release
    - Fixes a remote MSN SLP crash (CVE-2010-0277) (Closes: #566775)
    - Fixes a remote Finch XMPP crash (CVE-2010-0420)
    - Fixes a remote smiley freeze/CPU pegging DoS (CVE-2010-0423)

 -- Ari Pollak <ari@debian.org>  Tue, 16 Feb 2010 16:50:02 -0500

pidgin (1:2.6.5-2ubuntu1) lucid; urgency=low

  * Sync on Debian
    - fix login on aim and icq (lp: #506647)
  * debian/control:
    - Build-Depends on liblaunchpad-integration-dev and libtool
    - Drop libpurple0 dependency from libpurple-bin
    - Drop pidgin-data dependency from libpurple0
    - Recommends pidgin-libnotify
  * debian/libpurple0.symbols: 
    - add epochs
  * debian/patches/02_lpi.patch:
    - launchpad integration
  * debian/patches/04_let_crasher_for_apport.patch:
    - stop catching the SIGSEGV signal and let apport handle it
  * debian/patches/05_default_to_irc_ubuntu_com.patch:
    - set the default IRC server to irc.ubuntu.com
  * debian/patches/10_docklet_default_off.patch:
    - default behavior to have no notification area icon.
  * debian/patches/11_buddy_list_really_show.patch:
    - the buddy list tries harder to appear.  This fixes some issues with it
      not appearing.
  * debian/patches/ 13_sounds_and_timers.patch:
    - adjusts the time out for sounds to be 15 seconds, 
      which helps get fewer spurious login notifications on slow connections.
  * debian/patches/60_1024x600_gtk*.c.patch: 
    - add scrollbars into preferences and pounce dialogs
  * debian/patches/62_tray_icon_size_kde.patch:
    - always use default tray icon size on KDE
  * debian/prefs.xml: 
    - Update to set the notify plugin prefs /plugins/gtk/X11/notify/*, 
      set /pidgin/plugins/loaded to load the notify plugin and enable 
      the standard logging options by default
  * debian/rules:
    - install a launcher in the message indicator
    - set translation domain and update template
    - use simple-patchsys rules
        
 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Jan 2010 15:44:51 +0100

pidgin (2.6.5-2) unstable; urgency=low

  * debian/patches/libnssckbi_path.patch:
    - Fix path to libnssckbi.so (Closes: #564711)
  * debian/patches/clientlogin-fix.patch:
    - Fixes ICQ/AIM login issue (Closes: #565147)

 -- Ari Pollak <ari@debian.org>  Thu, 14 Jan 2010 19:46:40 -0500

pidgin (2.6.5-1) unstable; urgency=low

  * New upstream release
  * debian/patches/CVE-2010-0013.patch:
    - Fix MSN local file disclosure vulnerability (Closes: #563206)
      (CVE-2010-0013) 

 -- Ari Pollak <ari@debian.org>  Sat, 09 Jan 2010 14:13:53 -0500

pidgin (2.6.4-1) unstable; urgency=low

  * New upstream release
  * Convert to source format 3.0 (quilt), no patches necessary yet 

 -- Ari Pollak <ari@debian.org>  Sat, 21 Nov 2009 22:10:11 -0500

pidgin (2.6.3-1) unstable; urgency=medium

  * New upstream release
    - fixes a remote ICQ crash (CVE-2009-3615)
    - fix building on non-Linux architectures (Closes: #546024)

 -- Ari Pollak <ari@debian.org>  Fri, 16 Oct 2009 10:30:34 -0400

pidgin (2.6.2-1) unstable; urgency=medium

  * New upstream release
    - Fixes a crash in msn when handwriting message received (Closes: #544236)
    - Fixes reading GNOME proxy information (Closes: #543504)
    - Fixes a few remote crashes, so upload with urgency=medium

 -- Ari Pollak <ari@debian.org>  Sun, 06 Sep 2009 12:46:39 -0400

pidgin (2.6.1-2) unstable; urgency=low

  * Upload to unstable

 -- Ari Pollak <ari@debian.org>  Wed, 26 Aug 2009 20:40:39 -0400

pidgin (2.6.1-1) experimental; urgency=low

  * Put into experimental so we don't disturb 2.5.9's migration into testing 
  * New upstream release (Closes: #542311)
    - Fixes hurd FTBFS (Closes: #530893)
    - Supports auto-join in XMPP (Closes: #462250)
    - Fixes some problems with international characters (Closes: #469829)
    - purple-* commandline utilities now pass return value from dbus-send
      (Closes: #504314)
    - Fixes lots of problems with XMPP new mail notifications (Closes: #505760)
    - Fixes crash when adding/removing MSN buddy (Closes: #531201)
    - Contact availability plugin ignores autoreplies (Closes: #459667)
    - Fixes some people not showing up when offline (Closes: #533314)
  * Use tcl-dev/tk-dev
  * Add Network Manager support back in since there's a -f commandline option
    to override it if it fails horribly (Closes: #534698)
  * Drop upstream README since it doesn't contain any useful information
    for end users


