=== debian/watch ===
version=3
http://pidgin.im/download/source/ .*/pidgin-([\d.]+)\.tar\.bz2
