## pidgin 2.6.6-0nix0

=== debian/changelog ===
pidgin (2.6.6-0nix0) unstable; urgency=low

  * Moving up to 2.6.6

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 28 Feb 2010 20:04:55 +0200
