## pidgin 2.6.6-0nix1

=== debian/changelog ===
pidgin (2.6.6-0nix1) unstable; urgency=low

  * Adding fullscreen button to conversations and to buddy list
  * Adding tap-and-hold support for the buddy list icon picker
  * Adding bugtracker URL fields to the package descriptions

 -- Gabriel Schulhof <nix@go-nix.ca>  Fri,  5 Mar 2010 11:03:35 +0200
