=== debian/changelog ===
pidgin (2.6.6-1nix0) unstable; urgency=low

  * Moved conversations window fullscreen button to the infopane hbox

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 10 Mar 2010 19:25:40 +0200
