=== debian/rules ===
--- 
+++ 
@@ -103,6 +103,15 @@
 	-$(MAKE) $(PARALLEL_MAKEFLAGS) clean
 	dh_clean
 	rm -f $(CURDIR)/debian/dh_pidgin.1
+	-$(MAKE) package_revision_raw.txt
+	if ! test -f $(CURDIR)/package_revision_raw.txt; then \
+		if test -d $(CURDIR)/_MTN; then \
+			cat $(CURDIR)/_MTN/revision | grep old_revision | sed -r 's/^.*[[]([0-9a-fA-F]*)[]].*$$/\1/' > $(CURDIR)/package_revision_raw.txt; \
+		fi; \
+	fi
+	if test -f $(CURDIR)/package_revision_raw.txt; then \
+		mv $(CURDIR)/package_revision_raw.txt $(CURDIR)/package_revision_raw.txt.tmp; \
+	fi
 
 install: build install-stamp
 
@@ -233,14 +242,3 @@
 #	dh_python
 	dh_makeshlibs -V "libpurple0 (>= $(major).0)"
 
-	# some dh_*-generated pre- and post- -inst and -rm segments may pass args unknown to some busybox coreutils
-	for script in `ls $(CURDIR)/debian/*.p{re,ost}{inst,rm}.* 2> /dev/null`; do \
-		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*$$)/\1 || true/' > $$script.new && \
-			mv $$script.new $$script; \
-	done
-
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol -- $(LAUNCHER_DEPENDS)
-	dh_md5sums
-
